aboutsummaryrefslogtreecommitdiffstats
path: root/dist
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2017-08-17 08:41:49 +0200
committerTristan Gingold <tgingold@free.fr>2017-08-17 08:41:49 +0200
commit26aec0ca4c56c92c10beb111367f7cb72cc38d20 (patch)
treebd37325dd2ede67e42fe294e3a979848c4786e8c /dist
parent61df1ef50e0523d3838dcdc1e4784387666c7c69 (diff)
downloadghdl-26aec0ca4c56c92c10beb111367f7cb72cc38d20.tar.gz
ghdl-26aec0ca4c56c92c10beb111367f7cb72cc38d20.tar.bz2
ghdl-26aec0ca4c56c92c10beb111367f7cb72cc38d20.zip
travis-ci: investigate gnat-gpl install issue
Diffstat (limited to 'dist')
-rwxr-xr-xdist/linux/travis-ci.sh6
-rwxr-xr-xdist/macosx/install-ada.sh1
2 files changed, 4 insertions, 3 deletions
diff --git a/dist/linux/travis-ci.sh b/dist/linux/travis-ci.sh
index 89fa4585e..14bae636a 100755
--- a/dist/linux/travis-ci.sh
+++ b/dist/linux/travis-ci.sh
@@ -18,7 +18,7 @@ fi
# OS-X
if [ "$TRAVIS_OS_NAME" = "osx" ]; then
- ./dist/macosx/install-ada.sh
+ ./dist/macosx/install-ada.sh || exit 1
PATH=$PWD/gnat/bin:$PATH
DBLD=mcode
DDIST=macosx
@@ -81,10 +81,10 @@ EXITCODE=0;
t=0; for b in $blds; do
workdir="../wrk-$t"
# Display log (with travis log folding commands)
- echo -en "travis_fold:start:log.$t\r"
+ echo -e "travis_fold:start:log.$t\r\033[K"
printf "$ANSI_YELLOW[TRAVIS] Print BUILD $t log $ANSI_NOCOLOR\n"
cat $workdir/log.log
- echo -en "travis_fold:end:log.$t\r"
+ echo -e "travis_fold:end:log.$t\r\033[K"
# Read the last line of the log
RESULT="$(tail -1 $workdir/log.log)"
diff --git a/dist/macosx/install-ada.sh b/dist/macosx/install-ada.sh
index bd30e2e1b..97bc762ec 100755
--- a/dist/macosx/install-ada.sh
+++ b/dist/macosx/install-ada.sh
@@ -8,6 +8,7 @@ if [ -e gnat/etc/install_ok ]; then
fi
echo "Download and install gnat-gpl"
+set -x
# Download from libre.adacore.com
tarfile=gnat-gpl-2017-x86_64-darwin-bin.tar.gz